#include<bits/stdc++.h>
using namespace std;
int main()
{
	char c1,c2;
	cin>>c1>>c2;
	long int a1,a2;
	cin>>a1>>a2;
	if(c1==c2)
	{
		cout<<"nemoguce";
	}
	else
	{
		if(abs(a1-a2)>=2)
		{
			cout<<"nemoguce";
		}
		else
		{
			
			if(a1>=a2)
			{
          while(a1>0 || a2>0)
          {
          	cout<<c1;
          	a1--;
          	if(a2>0)
          	{
          		cout<<c2;
          		a2--;
				 } 			
				   }	
		  }
		  else
		  {
		  	while(a1>0 || a2>0)
          {
          	cout<<c2;
          	a2--;
          	if(a1>0)
          	{
          		cout<<c1;
          		a1--;
				 } 			
				   }
		  }
		}
		
		}
	}